org.apache.fop.layoutmgr

## Interface ConditionalElementListener

- All Known Implementing Classes:
    BlockContainerLayoutManager, BlockLayoutManager, FloatContentLayoutManager, ListBlockLayoutManager, ListItemLayoutManager, SpacedBorderedPaddedBlockLayoutManager, TableLayoutManager

      public interface ConditionalElementListener

  This interface is used to notify layout managers about the situation around spaces, borders and padding just before the addArea() method is called when a part is being painted.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyBorder(RelSide side, MinOptMax effectiveLength)` Notifies the layout manager about the effective length/width of its border.
    `void` | `notifyPadding(RelSide side, MinOptMax effectiveLength)` Notifies the layout manager about the effective length/width of its padding.
    `void` | `notifySpace(RelSide side, MinOptMax effectiveLength)` Notifies the layout manager about the effective length of its space.

- - ### Method Detail

    - #### notifySpace

          void notifySpace(RelSide side,
                           MinOptMax effectiveLength)

      Notifies the layout manager about the effective length of its space.
      Parameters:
        `side` - the side to which the space applies
        `effectiveLength` - the effective length after space-resolution (null means zero length)

    - #### notifyBorder

          void notifyBorder(RelSide side,
                            MinOptMax effectiveLength)

      Notifies the layout manager about the effective length/width of its border.
      Parameters:
        `side` - the side to which the border applies
        `effectiveLength` - the effective length in the current break situation (null means zero length)

    - #### notifyPadding

          void notifyPadding(RelSide side,
                             MinOptMax effectiveLength)

      Notifies the layout manager about the effective length/width of its padding.
      Parameters:
        `side` - the side to which the padding applies
        `effectiveLength` - the effective length in the current break situation (null means zero length)

Copyright © 2023 Apache Software Foundation. All rights reserved.